Bug 264169 - graphics/gdal: Fails to link: undefined symbol GDALSetRasterNoDataValueAsInt64
Summary: graphics/gdal: Fails to link: undefined symbol GDALSetRasterNoDataValueAsInt64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2022-05-23 07:47 UTC by rkoberman
Modified: 2022-06-03 09:10 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rkoberman 2022-05-23 07:47:13 UTC
Running: FreeBSD ptavv 13.1-STABLE FreeBSD 13.1-STABLE #0 stable/13-n250650-89d405a5ae7: Mon May  2 08:52:28 PDT 2022

I get the error "undefined symbol: GDALSetRasterNoDataValueAsInt64"

This may be case of linking to a library from 3.4..3 and not the version just built. Do I need to delete the installed version before building the new one?
Comment 1 Henri Hennebert 2022-05-23 09:07:07 UTC
(In reply to rkoberman from comment #0)
pkg delete -f graphics/gdal
cd /usr/ports/graphics/gdal
make install clean

solve this problem.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2022-05-24 01:17:15 UTC
@Reporter Could you include additional information please:

- Full build log as attachment (compressed if necessary)
- pkg version -v output (as attachment)
- /etc/make.conf contents (if not empty, as attachment)
Comment 3 rkoberman 2022-05-24 02:16:19 UTC
Problem, as i suspected was old version's include files getting pulled in.  Deleted gdal and installed the new version without a problem. A note in UPDATING would save some people some time.
Comment 4 pvoigt 2022-05-24 21:20:40 UTC
(In reply to Henri Hennebert from comment #1)
I have the same issue and can confirm your solution works for me.

UPDATING should get a corresponding entry, e.g. like 20150711.
Comment 5 Po-Chuan Hsieh freebsd_committer 2022-06-03 09:10:52 UTC
It should be fixed in ports 8fe3c07f1ffb1d9f1e5156c3433937549f423564. I've tested building latest gdal (3.5.0) with older version (3.0.3 or 3.4.3) installed.